0 votes
by (360 points)
recategorized by

项目中需要更新资源使用的是unity自带插件addressables 1.18.19,当打包资源时会有报错,去除sdk就正常了,导入sdkv2.0.1才出现的这个问题。不知怎么解决。是否是与插件产生了冲突?enter image description here

enter image description here

1 Answer

0 votes
by (55.5k points)

您好,您可以检查一下有没有如图所示的这个文件。报错是因为缺这个文件。您可以尝试删除PicoXR Plugin文件夹和临时文件,然后重新导入SDK。

enter image description here

by (360 points)

有这个文件,重新导入也是一样,当我把这个文件从package转移到assets目录下面时就正常了。还有好的解决方法吗。我的unity版本2020.3.21

by (360 points)

我猜测主要原因是因为unity把LitJson.dll这个文件识别成了安卓平台的,最终我是这样解决的,把sdk文件中的\Runtime\Android\LitJson.dll路径下面的文件移动到\Runtime目录下面,反正不要放在Android路径下面就行,应该就可以了。

by (1.0k points)

试过这个方法,还是不行

环境unity2021.3.4
Addressables 1.19.19

by (360 points)

操作完毕之后还要重启unity才行

...